Subject: Re: [PATCH v3 4/4] gitk: pass --no-graph to `git log`

From: Junio C Hamano <[email-masked]>
Date: Fri, 11 Feb 2022 11:20:49 -0800

Alex Henrie <[email-masked]> writes:

> What if we make log.graph=true also require feature.experimental=true?

No.  feature.experimental is to give people an opt-in opportunity
for features that we are considering to enable by default.

> The log.graph option would really be a useful feature for people who
> use Git exclusively from the CLI without any external tools. It seems
> that the main challenge is how to give others time to adjust.

Those who want to see log by default must need to twaek their
configuration.  Instead of doing "git config log.graph true" and
breaking tools, they can do "git config alias.mylog 'log --graph'"
with the same ease, without breaking anything.

So...